Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.dialogs
Class ApplyNameTableDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          info.webinsel.util.swing.OkCancelApplyDialog
                              info.webinsel.util.swing.OkCancelApplyHelpDialog
                                  info.webinsel.wikihelp.client.OkCancelApplyWikiHelpDialog
                                      info.bioinfweb.treegraph.gui.dialogs.EditDialog
                                          info.bioinfweb.treegraph.gui.dialogs.ApplyNameTableDialog

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public class ApplyNameTableDialog

extends EditDialog

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes/interfaces inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`private javax.swing.JComboBox` | `adapterComboBox`
`private javax.swing.JCheckBox` | `caseSensitiveCheckBox`
`static java.lang.String` | `DEFAULT_SEPARATOR`
`private javax.swing.JFileChooser` | `fileChooser`
`private javax.swing.JPanel` | `fileChooserPanel`
`private javax.swing.JPanel` | `jContentPane`
`private javax.swing.JLabel` | `nodeDataLabel`
`private javax.swing.JPanel` | `nodeDataPanel`
`private javax.swing.JCheckBox` | `parseNumericValuesCheckBox`
`private javax.swing.ButtonGroup` | `separatorGroup`
`private javax.swing.JPanel` | `separatorPanel`
`private javax.swing.JTextField` | `separatorTextField`
`private static long` | `serialVersionUID`
`private javax.swing.JRadioButton` | `stringRadioButton`
`private javax.swing.JRadioButton` | `tabRadioButton`
`private javax.swing.JCheckBox` | `whitespaceCheckBox`

Fields inherited from class info.webinsel.wikihelp.client.OkCancelApplyWikiHelpDialog
`UNDEFINED_HELP_CODE`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`DEFAULT_MODALITY_TYPE`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ApplyNameTableDialog(java.awt.Dialog owner)`
`ApplyNameTableDialog(java.awt.Frame owner)`

Method Summary
`protected void` | `apply()`
`private javax.swing.JComboBox` | `getAdapterComboBox()` This method initializes adapterComboBox
`private javax.swing.JCheckBox` | `getCaseSensitiveCheckBox()` This method initializes caseSensitiveCheckBox
`private javax.swing.JFileChooser` | `getFileChooser()` This method initializes fileChooser
`private javax.swing.JPanel` | `getFileChooserPanel()` This method initializes fileChooserPanel
`private javax.swing.JPanel` | `getJContentPane()` This method initializes jContentPane
`private javax.swing.JPanel` | `getNodeDataPanel()` This method initializes nodeDataPanel
`private javax.swing.JCheckBox` | `getParseNumericValuesCheckBox()` This method initializes parseNumericValuesCheckBox
`private javax.swing.JPanel` | `getSeparatorPanel()` This method initializes separatorPanel
`private javax.swing.JTextField` | `getSeparatorTextField()` This method initializes separatorTextField
`private javax.swing.JRadioButton` | `getStringRadioButton()` This method initializes stringRadioButton
`private javax.swing.JRadioButton` | `getTabRadioButton()` This method initializes tabRadioButton
`private javax.swing.JCheckBox` | `getWhitespaceCheckBox()` This method initializes whitespaceCheckBox
`private void` | `initialize()` This method initializes this
`protected boolean` | `onExecute()`

Methods inherited from class info.bioinfweb.treegraph.gui.dialogs.EditDialog
`execute, getDocument, getSelection, setDocument, setSelection`

Methods inherited from class info.webinsel.wikihelp.client.OkCancelApplyWikiHelpDialog
`getHelpCode, getWikiHelp, help, setHelpCode`

Methods inherited from class info.webinsel.util.swing.OkCancelApplyHelpDialog
`addMoreButtons`

Methods inherited from class info.webinsel.util.swing.OkCancelApplyDialog
`execute, getApplyButton, getButtonsPanel, getCancelButton, getOkButton`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Dialog
`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setModalityType, setResizable, setTitle, setUndecorated, setVisible, show, toBack`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_SEPARATOR

    public static final java.lang.String DEFAULT_SEPARATOR

See Also:
  Constant Field Values

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### jContentPane

    private javax.swing.JPanel jContentPane

### fileChooser

    private javax.swing.JFileChooser fileChooser

### separatorPanel

    private javax.swing.JPanel separatorPanel

### nodeDataPanel

    private javax.swing.JPanel nodeDataPanel

### tabRadioButton

    private javax.swing.JRadioButton tabRadioButton

### stringRadioButton

    private javax.swing.JRadioButton stringRadioButton

### separatorTextField

    private javax.swing.JTextField separatorTextField

### separatorGroup

    private javax.swing.ButtonGroup separatorGroup

### adapterComboBox

    private javax.swing.JComboBox adapterComboBox

### fileChooserPanel

    private javax.swing.JPanel fileChooserPanel

### whitespaceCheckBox

    private javax.swing.JCheckBox whitespaceCheckBox

### parseNumericValuesCheckBox

    private javax.swing.JCheckBox parseNumericValuesCheckBox

### caseSensitiveCheckBox

    private javax.swing.JCheckBox caseSensitiveCheckBox

### nodeDataLabel

    private javax.swing.JLabel nodeDataLabel

Constructor Detail

### ApplyNameTableDialog

    public ApplyNameTableDialog(java.awt.Frame owner)

Parameters:
  `owner` -

### ApplyNameTableDialog

    public ApplyNameTableDialog(java.awt.Dialog owner)

Method Detail

### onExecute

    protected boolean onExecute()

  Specified by:
    `onExecute` in class `EditDialog`

### apply

    protected void apply()

  Specified by:
    `apply` in class `info.webinsel.util.swing.OkCancelApplyDialog`

### initialize

    private void initialize()

  This method initializes this

### getJContentPane

    private javax.swing.JPanel getJContentPane()

  This method initializes jContentPane

  Returns:
    javax.swing.JPanel

### getFileChooser

    private javax.swing.JFileChooser getFileChooser()

  This method initializes fileChooser

  Returns:
    javax.swing.JPanel

### getSeparatorPanel

    private javax.swing.JPanel getSeparatorPanel()

  This method initializes separatorPanel

  Returns:
    javax.swing.JPanel

### getNodeDataPanel

    private javax.swing.JPanel getNodeDataPanel()

  This method initializes nodeDataPanel

  Returns:
    javax.swing.JPanel

### getTabRadioButton

    private javax.swing.JRadioButton getTabRadioButton()

  This method initializes tabRadioButton

  Returns:
    javax.swing.JRadioButton

### getStringRadioButton

    private javax.swing.JRadioButton getStringRadioButton()

  This method initializes stringRadioButton

  Returns:
    javax.swing.JRadioButton

### getSeparatorTextField

    private javax.swing.JTextField getSeparatorTextField()

  This method initializes separatorTextField

  Returns:
    javax.swing.JTextField

### getAdapterComboBox

    private javax.swing.JComboBox getAdapterComboBox()

  This method initializes adapterComboBox

  Returns:
    javax.swing.JComboBox

### getFileChooserPanel

    private javax.swing.JPanel getFileChooserPanel()

  This method initializes fileChooserPanel

  Returns:
    javax.swing.JPanel

### getWhitespaceCheckBox

    private javax.swing.JCheckBox getWhitespaceCheckBox()

  This method initializes whitespaceCheckBox

  Returns:
    javax.swing.JCheckBox

### getParseNumericValuesCheckBox

    private javax.swing.JCheckBox getParseNumericValuesCheckBox()

  This method initializes parseNumericValuesCheckBox

  Returns:
    javax.swing.JCheckBox

### getCaseSensitiveCheckBox

    private javax.swing.JCheckBox getCaseSensitiveCheckBox()

  This method initializes caseSensitiveCheckBox

  Returns:
    javax.swing.JCheckBox

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD